#include Once "window9.bi"

Sub SetWindowProperty(hWin As HWND , sKey As String , pValue As Any Ptr)
	
	g_object_set_data (Cast(Any Ptr, hWin), Strptr(sKey) , pValue)
	
End Sub

Function GetWindowProperty(hWin As HWND , sKey As String) As Any Ptr
	
	Return g_object_get_data (Cast(Any Ptr, hWin), Strptr(sKey))
	
End Function

Sub DeleteWindowProperty(hWin As HWND , sKey As String)
	
	g_object_set_data (Cast(Any Ptr, hWin), Strptr(sKey) , Cast(Any Ptr,0))
	
End Sub